Download it now!
Bug 75019 - FILESAVE: Failed to cover Bookmark and Bookmark Link-Export to MediaWiki
Summary: FILESAVE: Failed to cover Bookmark and Bookmark Link-Export to MediaWiki
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Robert Antoni Buj i Gelonch
URL:
Whiteboard: BSA target:5.0.0 target:4.4.4 target:...
Keywords: difficultyBeginner, easyHack
Depends on:
Blocks:
 
Reported: 2014-02-15 13:47 UTC by steven
Modified: 2016-02-18 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steven 2014-02-15 13:47:19 UTC
Problem description: 

ODT export to MediaWiki, failed to cover Bookmark Link

Steps to reproduce:
1. .... set a bookmark "abc" to the text "test"
2. .... set a docutment hyperlink to the text "1234, target="abc"; the link works
3. .... export to MediaWiki, 

a) the text "test" has no "abc" bookmark/anchor in the wiki page
b) the link display: [#abc test] in the wiki page


Current behavior:

Expected behavior:

for above example, 

the bookmark sould be cover to a Anchor, "<span id="abc" title="abc">test</span>" (<span id="{{{id}}}" title="{{{id}}}">{{{anchored text}}}</span>)

then it shoud be cover to "[[#abc|test]]
              
Thanks!
Operating System: Windows 7
Version: 4.2.0.4 release
Comment 1 steven 2014-02-15 13:54:53 UTC
Revised: the link shoud be cover to "[[#abc|test]]
Comment 2 David Tardon 2014-02-15 14:03:21 UTC
The code is in swext/mediawiki/src/filter/odt2mediawiki.xsl .

I suggest exporting a suitable input file into Flat ODF and then using an XSLT processor directly. One advantage of that approach is that one does not even need to build libreoffice.
Comment 3 Björn Michaelsen 2014-12-02 10:53:08 UTC
adding LibreOffice developer list as CC to unresolved Writer EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 4 Robert Antoni Buj i Gelonch 2015-04-27 12:29:00 UTC
I've sent to gerrit a patch which implements this RFE.

master branch:
https://gerrit.libreoffice.org/#/c/15486/

libreoffice-4-4 branch:
https://gerrit.libreoffice.org/#/c/15507/

libreoffice-4-3 branch:
https://gerrit.libreoffice.org/#/c/15509/
Comment 5 Commit Notification 2015-04-27 13:16:27 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=26b9122e7861906337c260d233910ed5ebf19dfa

tdf#75019 bookmarks in exporting to mediawiki

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-04-27 13:21:58 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc2f0921233e63162f6aacf16041d89e318aee35&h=libreoffice-4-4

tdf#75019 bookmarks in exporting to mediawiki

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-04-30 12:21:57 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57a283ed3c7a09a75c7a755313a4df8038664e83&h=libreoffice-4-3

tdf#75019 bookmarks in exporting to mediawiki

It will be available in 4.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-15 12:09:49 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner)
[NinjaEdit]
Comment 9 Robinson Tryon (qubit) 2016-02-18 16:37:13 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]